function init(hero) {
    hero.setName("Doctor Fate");
	hero.setVersion("Smallville");
    hero.setTier(3);
    
    hero.setHelmet("Helmet");
    
    hero.addAbilities("fiskheroes:teleportation", "fiskheroes:energy_projection", "fiskheroes:steel_transformation", "fiskheroes:flight");
	
	hero.addKeyBind("ENERGY_PROJECTION", "key.energyProjection", 1);
    hero.addKeyBind("TELEPORT", "key.teleport", 2);
	hero.addKeyBind("STEEL_TRANSFORM", "Charge Up", 3);
	hero.addKeyBind("TRANSFORM", "Transform", 5);
	
	hero.addAttributeProfile("STEEL", steelProfile);
	hero.addAttributeProfile("TRANSFORMED", transformedProfile);
    hero.setAttributeProfile(getAttributeProfile);
	hero.setModifierEnabled(isModifierEnabled);
	hero.supplyFunction("getTransformTimerTicks", 4200);
    hero.supplyFunction("getTransformTimerRegen", 2.0);
	hero.setTierOverride(getTierOverride);
}

function steelProfile(profile) {
	profile.addAttribute("ATTACK_DAMAGE", 0.8, 1);
    profile.addAttribute("PUNCH_DAMAGE", 7.5, 0);
}

function transformedProfile(profile) {
	profile.addAttribute("ATTACK_DAMAGE", 0.4, 1);
    profile.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    profile.addAttribute("SWORD_DAMAGE", -0.2, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:steeled") ? "STEEL" : entity.getData("fiskheroes:transformed") ? "TRANSFORMED" : null
}

function isModifierEnabled(entity, modifier) {
	return entity.getData("fiskheroes:transformed");
}

function getTierOverride(entity) {
    return entity.getData("fiskheroes:transformed") ? 3 : 0;
}